@base <https://purl.org/coscine/ap/sfb1394/Software/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394Software: <https://purl.org/coscine/ap/sfb1394/Software#> .

 # Software 
<https://purl.org/coscine/ap/sfb1394/Software/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 Software"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/Software/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394Software:ID ;
  sh:property coscineSfb1394Software:aliasID ;
  sh:property coscineSfb1394Software:user ;
  sh:property coscineSfb1394Software:date ;
  sh:property coscineSfb1394Software:affiliation ;
  sh:property coscineSfb1394Software:dois ;
  sh:property coscineSfb1394Software:name ;
  sh:property coscineSfb1394Software:version ;
  sh:property coscineSfb1394Software:licence ;
  sh:property coscineSfb1394Software:gitRepository ;
  sh:property coscineSfb1394Software:gitHash ;
  sh:property coscineSfb1394Software:softwareInstallationProcedure ;
  sh:property coscineSfb1394Software:comments ;
.

coscineSfb1394Software:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394Software:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394Software:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394Software:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394Software:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394Software:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394Software:name 
  sh:path sfb1394:name ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Name"@en, "Name"@de ;
. 

coscineSfb1394Software:version 
  sh:path sfb1394:version ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Version"@en, "Version"@de ;
. 

coscineSfb1394Software:licence 
  sh:path sfb1394:licence ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Licence"@en, "Licence"@de ;
. 

coscineSfb1394Software:gitRepository 
  sh:path sfb1394:gitRepository ;
  sh:order 9 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "git repository"@en, "git repository"@de ;
. 

coscineSfb1394Software:gitHash 
  sh:path sfb1394:gitHash ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "git hash/tag"@en, "git hash/tag"@de ;
. 

coscineSfb1394Software:softwareInstallationProcedure 
  sh:path sfb1394:softwareInstallationProcedure ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Software installation procedure"@en, "Software installation procedure"@de ;
. 

coscineSfb1394Software:comments 
  sh:path sfb1394:comments ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
